Bug 1477456 - channels do not exist on Production CDN when sync channels on satellite5.8
channels do not exist on Production CDN when sync channels on satellite5.8
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
580
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jan Dobes
Radovan Drazny
:
: 1482677 (view as bug list)
Depends On:
Blocks: sat58-errata
  Show dependency treegraph
 
Reported: 2017-08-02 02:54 EDT by yanpliu
Modified: 2017-08-31 11:24 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 11:24:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yanpliu 2017-08-02 02:54:11 EDT
Description of problem:
channels not exit on Production CDN when sync channels on satellite5.8

Not exit channels:
rhel-ppc64le-server-ha-7
rhel-ppc64-server-sap-7
rhel-x86_64-server-nfv-7
rhel-s390x-server-sap-7


Version-Release number of selected component (if applicable):
Satellite server: Satellite5.8


How reproducible:

Steps to Reproduce:
1.Setup a Satellite5.8 server and register to Production CDN
2.sync rhel7.4 channels by Satellite5.8
# cdn-sync -c rhel-ppc64le-server-ha-7
02:32:34 ERROR: Channel 'rhel-ppc64le-server-ha-7' not found in channel metadata mapping.
02:32:34 Total time: 0:00:00
ERROR: these channels either do not exist or are not available for synchronization:
  rhel-ppc64le-server-ha-7

[root@cloud-qe-01 ~]#  cdn-sync -c rhel-ppc64-server-sap-7
02:32:41 ERROR: Channel family 'rhel-ppc64-server-7-sap' containing channel 'rhel-ppc64-server-sap-7' is not entitled.
02:32:41 Total time: 0:00:00
ERROR: these channels either do not exist or are not available for synchronization:
  rhel-ppc64-server-sap-7
[root@cloud-qe-01 ~]# cdn-sync -c rhel-x86_64-server-nfv-7
02:32:50 ERROR: Channel family 'rhel-server-7-nfv' containing channel 'rhel-x86_64-server-nfv-7' is not entitled.
02:32:50 Total time: 0:00:00
ERROR: these channels either do not exist or are not available for synchronization:
  rhel-x86_64-server-nfv-7
[root@cloud-qe-01 ~]#  cdn-sync -c rhel-s390x-server-sap-7
02:32:57 ERROR: Channel family 'rhel-s390x-server-7-sap' containing channel 'rhel-s390x-server-sap-7' is not entitled.
02:32:57 Total time: 0:00:00
ERROR: these channels either do not exist or are not available for synchronization:
  rhel-s390x-server-sap-7


Additional info:

1. rhel-ppc64le-server-ha-7 ,rhel-ppc64-server-sap-7,rhel-x86_64-server-nfv-7,rhel-s390x-server-sap-7 these channels are exit on PDC .
            "rhel-ppc64le-server-ha-7": [
                "omping-0.0.4-6.el7.ppc64le.rpm",
                "booth-site-1.0-7.ef769ef.git.el7.noarch.rpm",
                "booth-core-1.0-7.ef769ef.git.el7.ppc64le.rpm",
                "booth-1.0-7.ef769ef.git.el7.ppc64le.rpm",
                "booth-test-1.0-7.ef769ef.git.el7.noarch.rpm",
                "booth-arbitrator-1.0-7.ef769ef.git.el7.noarch.rpm",
                "pcs-0.9.158-6.el7.ppc64le.rpm",
                "python-clufter-0.76.0-1.el7.noarch.rpm",
                "clufter-lib-ccs-0.76.0-1.el7.noarch.rpm",
                "clufter-lib-general-0.76.0-1.el7.noarch.rpm",
                "clufter-cli-0.76.0-1.el7.noarch.rpm",
                "clufter-bin-0.76.0-1.el7.ppc64le.rpm",
                "clufter-lib-pcs-0.76.0-1.el7.noarch.rpm",
                "clufter-common-0.76.0-1.el7.noarch.rpm",
                "corosync-qdevice-2.4.0-9.el7.ppc64le.rpm",
                "corosynclib-2.4.0-9.el7.ppc64le.rpm",
                "corosync-qnetd-2.4.0-9.el7.ppc64le.rpm",
                "corosynclib-devel-2.4.0-9.el7.ppc64le.rpm",
                "corosync-2.4.0-9.el7.ppc64le.rpm",
                "sbd-1.3.0-3.el7.ppc64le.rpm",
                "resource-agents-3.9.5-105.el7.ppc64le.rpm",
                "pacemaker-nagios-plugins-metadata-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-cts-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-remote-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-libs-devel-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-libs-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-cli-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-cluster-libs-1.1.16-12.el7.ppc64le.rpm",
                "pacemaker-doc-1.1.16-12.el7.ppc64le.rpm"
            ]

            "rhel-ppc64-server-sap-7": [
                "tuned-profiles-sap-2.8.0-5.el7.noarch.rpm",
                "vm-dump-metrics-devel-0.5-12.el7.ppc64.rpm",
                "vm-dump-metrics-0.5-12.el7.ppc.rpm",
                "vm-dump-metrics-0.5-12.el7.ppc64.rpm",
                "vm-dump-metrics-devel-0.5-12.el7.ppc.rpm",
                "compat-sap-c++-5-5.3.1-10.el7_3.ppc64.rpm",
                "compat-locales-sap-common-1.0.10-1.el7.ppc64.rpm",
                "compat-locales-sap-1.0.10-1.el7.ppc64.rpm",
                "sapconf-0.98-11.el7.noarch.rpm"
            ]
            "rhel-x86_64-server-nfv-7": [
                "rt-setup-1.59-5.el7.noarch.rpm",
                "rtcheck-0.7.7-6.el7.x86_64.rpm",
                "kernel-rt-trace-kvm-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-devel-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-debug-devel-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-trace-devel-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-doc-3.10.0-693.rt56.617.el7.noarch.rpm",
                "kernel-rt-debug-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-debug-kvm-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-trace-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-kvm-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "kernel-rt-3.10.0-693.rt56.617.el7.x86_64.rpm",
                "rteval-common-2.14-1.el7.noarch.rpm",
                "rteval-2.14-1.el7.noarch.rpm",
                "tuned-profiles-nfv-guest-2.8.0-5.el7.noarch.rpm",
                "tuned-profiles-nfv-host-2.8.0-5.el7.noarch.rpm",
                "tuned-profiles-realtime-2.8.0-5.el7.noarch.rpm",
                "tuned-profiles-nfv-2.8.0-5.el7.noarch.rpm",
                "rtctl-1.13-2.el7.noarch.rpm",
                "rt-tests-1.0-11.el7.x86_64.rpm",
                "rteval-loads-1.4-1.el7.noarch.rpm"
            ]
            "rhel-s390x-server-sap-7": [
                "tuned-profiles-sap-2.8.0-5.el7.noarch.rpm",
                "vm-dump-metrics-0.5-12.el7.s390x.rpm",
                "vhostmd-0.5-12.el7.s390x.rpm",
                "vm-dump-metrics-0.5-12.el7.s390.rpm",
                "vm-dump-metrics-devel-0.5-12.el7.s390.rpm",
                "vm-dump-metrics-devel-0.5-12.el7.s390x.rpm",
                "compat-locales-sap-common-1.0.10-1.el7.s390x.rpm",
                "compat-locales-sap-1.0.10-1.el7.s390x.rpm",
                "sapconf-0.98-11.el7.noarch.rpm"
            ],
 2. And these packages are exit on  download.eng.pek2.redhat.com
Such as rhel-s390x-server-sap-7
http://download.eng.pek2.redhat.com/rel-eng/RHEL-7.4-RC-1.2/compose/Server-SAP/s390x/os/Packages/
[   ] compat-locales-sap-1.0.10-1.el7.s390x.rpm             05-Aug-2016 10:13  108K  
[   ] compat-locales-sap-common-1.0.10-1.el7.s390x.rpm      05-Aug-2016 10:13  550K  
[   ] sapconf-0.98-11.el7.noarch.rpm                        16-Mar-2017 09:56   27K  
[   ] tuned-profiles-sap-2.8.0-5.el7.noarch.rpm             12-Jun-2017 13:25   24K  
[   ] vhostmd-0.5-12.el7.s390x.rpm                          28-Mar-2017 10:37   44K  
[   ] vm-dump-metrics-0.5-12.el7.s390.rpm                   28-Mar-2017 10:37   28K  
[   ] vm-dump-metrics-0.5-12.el7.s390x.rpm                  28-Mar-2017 10:37   28K  
[   ] vm-dump-metrics-devel-0.5-12.el7.s390.rpm             28-Mar-2017 10:37   13K  
[   ] vm-dump-metrics-devel-0.5-12.el7.s390x.rpm   


Actual results:
These channels can not sync by Production CDN

Expected results:
These channels can sync by Production CDN
Comment 2 yanpliu 2017-08-02 03:09:42 EDT
rhel-ppc64le-server-rs-7 also exit this issue.
 cdn-sync -c rhel-ppc64le-server-rs-7
03:08:31 ERROR: Channel 'rhel-ppc64le-server-rs-7' not found in channel metadata mapping.
03:08:31 Total time: 0:00:00
ERROR: these channels either do not exist or are not available for synchronization:
  rhel-ppc64le-server-rs-7
Comment 6 Tomas Lestach 2017-08-29 10:52:12 EDT
*** Bug 1482677 has been marked as a duplicate of this bug. ***
Comment 7 Radovan Drazny 2017-08-31 05:11:16 EDT
All channels reported in the initial report and comment #2 are now present in the updated mappings:
rhel-ppc64le-server-ha-7 - added in cdn-sync-mappings-2.3-1.el6sat
rhel-ppc64-server-sap-7  - was already present in the mappings, only 7.4.eus[-debuginfo] has been added in cdn-sync-mappings-2.3-1.el6sat
rhel-x86_64-server-nfv-7 - added in cdn-sync-mappings-2.3-1.el6sat
rhel-s390x-server-sap-7  - was already present in the mappings, only 7.4.eus]-debuginfo] has been added in cdn-sync-mappings-2.3-1.el6sat
rhel-ppc64le-server-rs-7 - added in cdn-sync-mappings-2.3-1.el6sat

Problems syncing any of these channels is most likely caused by incorrect subscription/certs, not by an error in the satellite. 

Kickstarts added in cdn-sync-mappings-2.3-1.el6sat:
ks-rhel-ppc64-server-7-7.4
ks-rhel-ppc64le-server-7-7.4
ks-rhel-s390x-server-7-7.4
ks-rhel-x86_64-client-7-7.4
ks-rhel-x86_64-hpc-node-7-7.4
ks-rhel-x86_64-server-7-7.4
ks-rhel-x86_64-workstation-7-7.4


Following channels have been added in cdn-sync-mappings-2.3-1.el6sat:
jbappplatform-5-x86_64-server-5-rpm
rhel-power-9-server-7-beta
rhel-power-9-server-7-beta-debuginfo
rhel-power-9-server-optional-7-beta
rhel-power-9-server-optional-7-beta-debuginfo
rhel-ppc64-server-7.4.eus
rhel-ppc64-server-7.4.eus-debuginfo
rhel-ppc64-server-optional-7.4.eus
rhel-ppc64-server-optional-7.4.eus-debuginfo
rhel-ppc64-server-sap-7.4.eus
rhel-ppc64-server-sap-7.4.eus-debuginfo
rhel-ppc64-server-supplementary-7.4.eus
rhel-ppc64-server-supplementary-7.4.eus-debuginfo
rhel-ppc64le-server-7.3.e4s
rhel-ppc64le-server-7.3.e4s-debuginfo
rhel-ppc64le-server-7.4.e4s
rhel-ppc64le-server-7.4.e4s-debuginfo
rhel-ppc64le-server-7.4.eus
rhel-ppc64le-server-7.4.eus-debuginfo
rhel-ppc64le-server-extras-7
rhel-ppc64le-server-extras-7-debuginfo
rhel-ppc64le-server-ha-7
rhel-ppc64le-server-ha-7-debuginfo
rhel-ppc64le-server-ha-7.4.eus
rhel-ppc64le-server-ha-7.4.eus-debuginfo
rhel-ppc64le-server-optional-7.3.e4s
rhel-ppc64le-server-optional-7.3.e4s-debuginfo
rhel-ppc64le-server-optional-7.4.e4s
rhel-ppc64le-server-optional-7.4.e4s-debuginfo
rhel-ppc64le-server-optional-7.4.eus
rhel-ppc64le-server-optional-7.4.eus-debuginfo
rhel-ppc64le-server-rs-7
rhel-ppc64le-server-rs-7-debuginfo
rhel-ppc64le-server-rs-7.4.eus
rhel-ppc64le-server-rs-7.4.eus-debuginfo
rhel-ppc64le-server-sap-7.3.e4s
rhel-ppc64le-server-sap-7.3.e4s-debuginfo
rhel-ppc64le-server-sap-7.4.e4s
rhel-ppc64le-server-sap-7.4.e4s-debuginfo
rhel-ppc64le-server-sap-7.4.eus
rhel-ppc64le-server-sap-7.4.eus-debuginfo
rhel-ppc64le-server-sap-hana-7.3.e4s
rhel-ppc64le-server-sap-hana-7.3.e4s-debuginfo
rhel-ppc64le-server-sap-hana-7.4.e4s
rhel-ppc64le-server-sap-hana-7.4.e4s-debuginfo
rhel-ppc64le-server-sap-hana-7.4.eus
rhel-ppc64le-server-sap-hana-7.4.eus-debuginfo
rhel-ppc64le-server-supplementary-7.3.e4s
rhel-ppc64le-server-supplementary-7.3.e4s-debuginfo
rhel-ppc64le-server-supplementary-7.4.e4s-debuginfo
rhel-ppc64le-server-supplementary-7.4.eus
rhel-ppc64le-server-supplementary-7.4.eus-debuginfo
rhel-s390x-server-7.4.eus
rhel-s390x-server-7.4.eus-debuginfo
rhel-s390x-server-optional-7.4.eus
rhel-s390x-server-optional-7.4.eus-debuginfo
rhel-s390x-server-sap-7.4.eus
rhel-s390x-server-sap-7.4.eus-debuginfo
rhel-s390x-server-supplementary-7.4.eus
rhel-s390x-server-supplementary-7.4.eus-debuginfo
rhel-x86_64-as-4
rhel-x86_64-es-4
rhel-x86_64-es-4-els
rhel-x86_64-es-4-extras
rhel-x86_64-hpc-node-7.4.eus
rhel-x86_64-hpc-node-7.4.eus-debuginfo
rhel-x86_64-hpc-node-7.4.eus-thirdparty-oracle-java
rhel-x86_64-hpc-node-optional-7.4.eus
rhel-x86_64-hpc-node-optional-7.4.eus-debuginfo
rhel-x86_64-hpc-node-supplementary-7.4.eus
rhel-x86_64-hpc-node-supplementary-7.4.eus-debuginfo
rhel-x86_64-ost-12-tools-client
rhel-x86_64-ost-12-tools-client-debuginfo
rhel-x86_64-ost-12-tools-server
rhel-x86_64-ost-12-tools-server-debuginfo
rhel-x86_64-ost-12-tools-workstation
rhel-x86_64-ost-12-tools-workstation-debuginfo
rhel-x86_64-server-7-devtools-1
rhel-x86_64-server-7-devtools-1-beta
rhel-x86_64-server-7-devtools-1-beta-debuginfo
rhel-x86_64-server-7-devtools-1-debuginfo
rhel-x86_64-server-7-ost-12
rhel-x86_64-server-7-ost-12-debuginfo
rhel-x86_64-server-7-ost-12-devtools
rhel-x86_64-server-7-ost-12-devtools-debuginfo
rhel-x86_64-server-7-ost-12-optools
rhel-x86_64-server-7-ost-12-optools-debuginfo
rhel-x86_64-server-7-rhv-4-tools
rhel-x86_64-server-7-rhv-4-tools-debuginfo
rhel-x86_64-server-7.2.e4s
rhel-x86_64-server-7.2.e4s-debuginfo
rhel-x86_64-server-7.3.e4s
rhel-x86_64-server-7.3.e4s-debuginfo
rhel-x86_64-server-7.4.aus
rhel-x86_64-server-7.4.aus-debuginfo
rhel-x86_64-server-7.4.e4s
rhel-x86_64-server-7.4.e4s-debuginfo
rhel-x86_64-server-7.4.eus
rhel-x86_64-server-7.4.eus-debuginfo
rhel-x86_64-server-7.4.eus-rhscl-1
rhel-x86_64-server-7.4.eus-rhscl-1-debuginfo
rhel-x86_64-server-7.4.eus-thirdparty-oracle-java
rhel-x86_64-server-7.4.tus
rhel-x86_64-server-7.4.tus-debuginfo
rhel-x86_64-server-ha-7.2.e4s
rhel-x86_64-server-ha-7.2.e4s-debuginfo
rhel-x86_64-server-ha-7.3.e4s
rhel-x86_64-server-ha-7.3.e4s-debuginfo
rhel-x86_64-server-ha-7.4.e4s
rhel-x86_64-server-ha-7.4.e4s-debuginfo
rhel-x86_64-server-ha-7.4.eus
rhel-x86_64-server-ha-7.4.eus-debuginfo
rhel-x86_64-server-optional-7.2.e4s
rhel-x86_64-server-optional-7.2.e4s-debuginfo
rhel-x86_64-server-optional-7.3.e4s
rhel-x86_64-server-optional-7.3.e4s-debuginfo
rhel-x86_64-server-optional-7.4.aus
rhel-x86_64-server-optional-7.4.aus-debuginfo
rhel-x86_64-server-optional-7.4.e4s
rhel-x86_64-server-optional-7.4.e4s-debuginfo
rhel-x86_64-server-optional-7.4.eus
rhel-x86_64-server-optional-7.4.eus-debuginfo
rhel-x86_64-server-optional-7.4.tus
rhel-x86_64-server-optional-7.4.tus-debuginfo
rhel-x86_64-server-rs-7.4.eus
rhel-x86_64-server-rs-7.4.eus-debuginfo
rhel-x86_64-server-sap-7.2.e4s
rhel-x86_64-server-sap-7.2.e4s-debuginfo
rhel-x86_64-server-sap-7.3.e4s
rhel-x86_64-server-sap-7.3.e4s-debuginfo
rhel-x86_64-server-sap-7.4.e4s
rhel-x86_64-server-sap-7.4.e4s-debuginfo
rhel-x86_64-server-sap-7.4.eus
rhel-x86_64-server-sap-7.4.eus-debuginfo
rhel-x86_64-server-sap-hana-7.2.e4s
rhel-x86_64-server-sap-hana-7.2.e4s-debuginfo
rhel-x86_64-server-sap-hana-7.3.e4s
rhel-x86_64-server-sap-hana-7.3.e4s-debuginfo
rhel-x86_64-server-sap-hana-7.4.e4s
rhel-x86_64-server-sap-hana-7.4.e4s-debuginfo
rhel-x86_64-server-sap-hana-7.4.eus
rhel-x86_64-server-sap-hana-7.4.eus-debuginfo
rhel-x86_64-server-sjis-7.4.aus
rhel-x86_64-server-sjis-7.4.aus-debuginfo
rhel-x86_64-server-sjis-7.4.eus
rhel-x86_64-server-sjis-7.4.eus-debuginfo
rhel-x86_64-server-supplementary-7.2.e4s
rhel-x86_64-server-supplementary-7.2.e4s-debuginfo
rhel-x86_64-server-supplementary-7.3.e4s
rhel-x86_64-server-supplementary-7.3.e4s-debuginfo
rhel-x86_64-server-supplementary-7.4.e4s-debuginfo
rhel-x86_64-server-supplementary-7.4.eus
rhel-x86_64-server-supplementary-7.4.eus-debuginfo
rhel-x86_64-workstation-7-devtools-1
rhel-x86_64-workstation-7-devtools-1-beta
rhel-x86_64-workstation-7-devtools-1-beta-debuginfo
rhel-x86_64-workstation-7-devtools-1-debuginfo
Comment 9 errata-xmlrpc 2017-08-31 11:24:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2564

Note You need to log in before you can comment on or make changes to this bug.